Debian Bug report logs - #612330
please disable kexec-tools on default desktop images

Package: live-build; Maintainer for live-build is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-build is src:live-build.

Reported by: Filipus Klutiero <chealer@gmail.com>

Date: Mon, 7 Feb 2011 19:45:01 UTC

Severity: normal

Merged with 617393

Done: daniel.baumann@progress-technologies.net

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#612330; Package general. (Mon, 07 Feb 2011 19:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Filipus Klutiero <chealer@gmail.com>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org. (Mon, 07 Feb 2011 19:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Filipus Klutiero <chealer@gmail.com>
To: submit@bugs.debian.org
Subject: [general] Debian Live fails to restart
Date: Mon, 07 Feb 2011 14:40:02 -0500
Package: general
Severity: important

I downloaded debian-live-6.0.0-i386-kde-desktop.img and managed to write 
it on a USB stick. Shutting down generally works, but restarting 
doesn't. After the init scripts finish, the console prints
"Please remove the USB flash drive and press ENTER to continue:", as 
when shutting down, and immediately followed by "[ time ] Starting new 
kernel"
After removing the flash drive and pressing ENTER, nothing happens, for 
many minutes (presumably until one will manually shut down the system).




Bug reassigned from package 'general' to 'debian-live'. Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Mon, 07 Feb 2011 19:51:03 GMT) Full text and rfc822 format available.

Severity set to 'normal' from 'important' Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Mon, 07 Feb 2011 19:51:03 GMT) Full text and rfc822 format available.

Bug reassigned from package 'debian-live' to 'live-boot'. Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Mon, 07 Feb 2011 20:48:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#612330; Package live-boot. (Mon, 07 Feb 2011 21:48:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Mon, 07 Feb 2011 21:48:06 GMT) Full text and rfc822 format available.

Message #16 received at 612330@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: 612330-submitter@bugs.debian.org
Cc: 612330@bugs.debian.org
Subject: Re: Processed: Re: Processed: Re: Bug#612330: [general] Debian Live fails to restart
Date: Mon, 07 Feb 2011 22:45:55 +0100
retitle 612330 please disable kexec-tools on default desktop images
severity 612330 normal
tag 612330 pending
thanks

we already discussed this today on irc:

---snip---
[...]

2011-02-07 08:26:51 < dbkblk> hello
2011-02-07 08:27:10 < dbkblk> is there someone here ? i need to report a
bug about debian live
2011-02-07 08:27:29 < dba> yes?
2011-02-07 08:28:13 < dbkblk> I've tried the new live cd of Debian live
(and the previous beta versions), and i noticed that, since the RC1, the
live cd don't want to reboot
2011-02-07 08:28:32 < dba> which image did you try?
2011-02-07 08:28:40 < dbkblk> i cannot use it to install a system
because it leaves useless packages installed
2011-02-07 08:28:53 < dbkblk> (like kexec and many config files)
2011-02-07 08:29:10 < dba> kexec isn't installed by default
2011-02-07 08:29:21 -!- delby (New Now Know How)
[~chatzilla@5ad14674.bb.sky.com] has joined #debian-live
2011-02-07 08:29:25 < dbkblk> I tried the last one, 6.0
2011-02-07 08:29:32 < dbkblk> downloaded yesterday
2011-02-07 08:29:38 < dba> which one, which flavour in particular?
2011-02-07 08:30:01 < dbkblk> debian-live-6.0.0-amd64-gnome-desktop
2011-02-07 08:30:49 < dbkblk> i tried some weeks ago to install it on a
pc but Debian didn't reboot properly
2011-02-07 08:30:49 < dba> i stand corrected, it has kexec installed
(aparently,
2011-02-07 08:30:56 < dba> the gnome-desktop task pulls it in somehow)
2011-02-07 08:31:13 < dbkblk> it try to shutdown but once finished, it
launch the kernel again
2011-02-07 08:31:19 < dbkblk> ok
2011-02-07 08:31:22 < twb> dbkblk: that's because kexec-tools is installed?
2011-02-07 08:31:25 < dba> regarding kexec: there are some older
machines (>8 years) that don't work,
2011-02-07 08:31:30 < dbkblk> so i may need to report a bug
2011-02-07 08:31:35 < twb> dba: yeah, I noticed that
2011-02-07 08:31:35 < dba> and some newer ones that have bios bugs.
2011-02-07 08:31:43 < twb> dba: something like pm-utils recommends it
2011-02-07 08:31:51 < dbkblk> except, i tried just today, to try it
again with virtualbox
2011-02-07 08:31:57 < dba> in those cases, you need to remove
kexec-tools, or disable it (dpkg-reconfigure kexec-tools), or use
2011-02-07 08:32:00 < twb> "aptitude why kexec-tools" on the host in
question will tell you why
2011-02-07 08:32:01 < dba> 'coldreboot' instead of reboot.
2011-02-07 08:32:05 < dbkblk> and the live cd won't reboot neither
2011-02-07 08:32:26 < dba> dbkblk: well, it's all the same.. if your
machine doesn't work with kexec, it will not work on any reboots.
2011-02-07 08:32:58 < dba> dbkblk: however, the correct fix is to either
not recommend kexec-tools by any package,
2011-02-07 08:33:04 < dba> or, that kexec-tools is not enabled by default.
2011-02-07 08:33:19 < dbkblk> wait a sec, i check it on vbox
2011-02-07 08:33:41 < twb> dba: debian-installer-launcher recommends it
2011-02-07 08:34:00 < dbkblk> i was going to say it ^^
2011-02-07 08:34:11 < twb> Which is why it was only affecting the
desktop images
2011-02-07 08:34:16 < dba> oh, indeed. we experimented with a kexec
backend for it.
2011-02-07 08:34:29 < dba> i apparently forgot to remove the recommends :(
2011-02-07 08:34:48 < twb> Hehe
2011-02-07 08:35:00 < dba> for the future, i think we're going to
disable kexec in the -desktop images then.
2011-02-07 08:35:02 < twb> Sorry I forgot to tell you a couple of weeks
ago, when I saw it
2011-02-07 08:35:24 < dbkblk> i tried to remove it on the desktop base i
used to test it, and it worked
2011-02-07 08:35:31 < dba> dbkblk: what machine is it that is failing
for you anyways?
2011-02-07 08:36:20 < dbkblk> but, obviously, it doesn't seem as stable
as the normal install to me. I don't know why. Are the config file the
same with this kind of install ?
2011-02-07 08:37:01 < dbkblk> Actually, i'm on my laptop, but the pc i
tried is a i686 PIV 2,8ghz with 3gb RAM
2011-02-07 08:37:12 < dba> the live image is, apart from that
kexec-tools gets pulled in,
2011-02-07 08:37:21 < dbkblk> so the bug also affect 32bits !
2011-02-07 08:37:38 < dba> the same as if you would install from a
regular d-i cd and choosing the same desktop task.
2011-02-07 08:37:46 < dba> the bug is not in 32 or 64bit, it's in your bios.
2011-02-07 08:37:51 < dbkblk> okay.
2011-02-07 08:38:10 < dbkblk> because it cannot handle kexec ?
2011-02-07 08:38:31 < dba> yes
2011-02-07 08:39:03 < dbkblk> ok thanks, so i just need to remove it,
and i will have a fresh regular desktop
2011-02-07 08:39:20 < dba> yes.

[...]

2011-02-07 08:41:27 < dbkblk> oh, i forgot a thing about kexec
2011-02-07 08:41:47 < dbkblk> why Virtualbox cannot handle it neither if
it is a bios problem ?
2011-02-07 08:42:29 -!- plhardy (purple) [~philippe@217.108.116.29] has
joined #debian-live
2011-02-07 08:42:35 < dba> because virtualbox has a bios too, and those
are shitty

[...]
---snap---

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Changed Bug title to 'please disable kexec-tools on default desktop images' from '[general] Debian Live fails to restart' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Mon, 07 Feb 2011 21:48:08 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Mon, 07 Feb 2011 21:48:09 GMT) Full text and rfc822 format available.

Message sent on to Filipus Klutiero <chealer@gmail.com>:
Bug#612330. (Mon, 07 Feb 2011 21:48:11 GMT) Full text and rfc822 format available.

Bug reassigned from package 'live-boot' to 'live-build'. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Mon, 07 Feb 2011 21:51:08 GMT) Full text and rfc822 format available.

Forcibly Merged 612330 617393. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Thu, 10 Mar 2011 03:39:06 GMT) Full text and rfc822 format available.

Bug closed, send any further explanations to Filipus Klutiero <chealer@gmail.com> Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Thu, 24 Mar 2011 19:39:09 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 22 Apr 2011 07:34:43 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 04:26:40 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.